#version 330 core
in vec2 TexCoords;
out vec4 FragColor;

uniform sampler2D text;
uniform vec3 textColor;

void main()
{    
    vec4 sampled = vec4(1.0, 1.0, 1.0, texture(text, TexCoords).r);
    //vec4 sampled = texture(text, TexCoords);
    //float alpha = texture(text, TextCoords).a;
    //float sampled = texture(text, TexCoords).a;

    //if (sampled.a < 0.5)
    //    discard;

    //sampled *= .5f;
    //sampled += .5f;
    //FragColor = vec4(textColor, 0.5);
    FragColor = vec4(textColor, 1.0) * sampled;

};
